diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.34/src/wimax/bindings/modulegen__gcc_ILP32.py ns-3.35/src/wimax/bindings/modulegen__gcc_ILP32.py
--- ns-3.34/src/wimax/bindings/modulegen__gcc_ILP32.py	2021-07-14 10:31:07.000000000 -0700
+++ ns-3.35/src/wimax/bindings/modulegen__gcc_ILP32.py	2021-10-01 13:26:48.000000000 -0700
@@ -2188,11 +2188,6 @@
                    'bool', 
                    [], 
                    is_const=True)
-    ## ipv4-address.h (module 'network'): bool ns3::Ipv4Address::IsEqual(ns3::Ipv4Address const & other) const [member function]
-    cls.add_method('IsEqual', 
-                   'bool', 
-                   [param('ns3::Ipv4Address const &', 'other')], 
-                   deprecated=True, is_const=True)
     ## ipv4-address.h (module 'network'): bool ns3::Ipv4Address::IsInitialized() const [member function]
     cls.add_method('IsInitialized', 
                    'bool', 
@@ -2297,11 +2292,6 @@
                    'ns3::Ipv4Mask', 
                    [], 
                    is_static=True)
-    ## ipv4-address.h (module 'network'): bool ns3::Ipv4Mask::IsEqual(ns3::Ipv4Mask other) const [member function]
-    cls.add_method('IsEqual', 
-                   'bool', 
-                   [param('ns3::Ipv4Mask', 'other')], 
-                   deprecated=True, is_const=True)
     ## ipv4-address.h (module 'network'): bool ns3::Ipv4Mask::IsMatch(ns3::Ipv4Address a, ns3::Ipv4Address b) const [member function]
     cls.add_method('IsMatch', 
                    'bool', 
@@ -2418,11 +2408,6 @@
                    'bool', 
                    [], 
                    is_const=True)
-    ## ipv6-address.h (module 'network'): bool ns3::Ipv6Address::IsEqual(ns3::Ipv6Address const & other) const [member function]
-    cls.add_method('IsEqual', 
-                   'bool', 
-                   [param('ns3::Ipv6Address const &', 'other')], 
-                   deprecated=True, is_const=True)
     ## ipv6-address.h (module 'network'): bool ns3::Ipv6Address::IsInitialized() const [member function]
     cls.add_method('IsInitialized', 
                    'bool', 
@@ -2615,11 +2600,6 @@
                    'ns3::Ipv6Prefix', 
                    [], 
                    is_static=True)
-    ## ipv6-address.h (module 'network'): bool ns3::Ipv6Prefix::IsEqual(ns3::Ipv6Prefix const & other) const [member function]
-    cls.add_method('IsEqual', 
-                   'bool', 
-                   [param('ns3::Ipv6Prefix const &', 'other')], 
-                   deprecated=True, is_const=True)
     ## ipv6-address.h (module 'network'): bool ns3::Ipv6Prefix::IsMatch(ns3::Ipv6Address a, ns3::Ipv6Address b) const [member function]
     cls.add_method('IsMatch', 
                    'bool', 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.34/src/wimax/bindings/modulegen__gcc_LP64.py ns-3.35/src/wimax/bindings/modulegen__gcc_LP64.py
--- ns-3.34/src/wimax/bindings/modulegen__gcc_LP64.py	2021-07-14 10:31:07.000000000 -0700
+++ ns-3.35/src/wimax/bindings/modulegen__gcc_LP64.py	2021-10-01 13:26:48.000000000 -0700
@@ -2188,11 +2188,6 @@
                    'bool', 
                    [], 
                    is_const=True)
-    ## ipv4-address.h (module 'network'): bool ns3::Ipv4Address::IsEqual(ns3::Ipv4Address const & other) const [member function]
-    cls.add_method('IsEqual', 
-                   'bool', 
-                   [param('ns3::Ipv4Address const &', 'other')], 
-                   deprecated=True, is_const=True)
     ## ipv4-address.h (module 'network'): bool ns3::Ipv4Address::IsInitialized() const [member function]
     cls.add_method('IsInitialized', 
                    'bool', 
@@ -2297,11 +2292,6 @@
                    'ns3::Ipv4Mask', 
                    [], 
                    is_static=True)
-    ## ipv4-address.h (module 'network'): bool ns3::Ipv4Mask::IsEqual(ns3::Ipv4Mask other) const [member function]
-    cls.add_method('IsEqual', 
-                   'bool', 
-                   [param('ns3::Ipv4Mask', 'other')], 
-                   deprecated=True, is_const=True)
     ## ipv4-address.h (module 'network'): bool ns3::Ipv4Mask::IsMatch(ns3::Ipv4Address a, ns3::Ipv4Address b) const [member function]
     cls.add_method('IsMatch', 
                    'bool', 
@@ -2418,11 +2408,6 @@
                    'bool', 
                    [], 
                    is_const=True)
-    ## ipv6-address.h (module 'network'): bool ns3::Ipv6Address::IsEqual(ns3::Ipv6Address const & other) const [member function]
-    cls.add_method('IsEqual', 
-                   'bool', 
-                   [param('ns3::Ipv6Address const &', 'other')], 
-                   deprecated=True, is_const=True)
     ## ipv6-address.h (module 'network'): bool ns3::Ipv6Address::IsInitialized() const [member function]
     cls.add_method('IsInitialized', 
                    'bool', 
@@ -2615,11 +2600,6 @@
                    'ns3::Ipv6Prefix', 
                    [], 
                    is_static=True)
-    ## ipv6-address.h (module 'network'): bool ns3::Ipv6Prefix::IsEqual(ns3::Ipv6Prefix const & other) const [member function]
-    cls.add_method('IsEqual', 
-                   'bool', 
-                   [param('ns3::Ipv6Prefix const &', 'other')], 
-                   deprecated=True, is_const=True)
     ## ipv6-address.h (module 'network'): bool ns3::Ipv6Prefix::IsMatch(ns3::Ipv6Address a, ns3::Ipv6Address b) const [member function]
     cls.add_method('IsMatch', 
                    'bool', 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.34/src/wimax/model/service-flow.cc ns-3.35/src/wimax/model/service-flow.cc
--- ns-3.34/src/wimax/model/service-flow.cc	2021-07-14 10:31:07.000000000 -0700
+++ ns-3.35/src/wimax/model/service-flow.cc	2021-10-01 13:26:48.000000000 -0700
@@ -156,7 +156,7 @@
           }
         case SfVectorTlvValue::Fixed_length_versus_Variable_length_SDU_Indicator:
           {
-            m_fixedversusVariableSduIndicator = ((U16TlvValue*)((*iter)->PeekValue ()))->GetValue ();
+            m_fixedversusVariableSduIndicator = ((U8TlvValue*)((*iter)->PeekValue ()))->GetValue ();
             break;
           }
         case SfVectorTlvValue::CS_Specification:
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.34/src/wscript ns-3.35/src/wscript
--- ns-3.34/src/wscript	2021-07-14 10:31:07.000000000 -0700
+++ ns-3.35/src/wscript	2021-10-01 13:26:48.000000000 -0700
@@ -1,4 +1,3 @@
-
 ## -*- Mode: python; py-indent-offset: 4; indent-tabs-mode: nil; coding: utf-8; -*-
 from __future__ import print_function
 import os, os.path
@@ -125,7 +124,7 @@
     module.ns3_dir_location = bld.path.path_from(bld.srcnode)
 
     module.env.append_value("INCLUDES", Context.out_dir)
-    
+
     module.pcfilegen = bld(features='ns3pcfile')
     module.pcfilegen.module = module.name
 
@@ -277,17 +276,15 @@
             pymod.env.append_value('LINKFLAGS', '-Wl,-Bdynamic,--no-whole-archive')
     defines = list(pymod.env['DEFINES'])
     defines.extend(['NS_DEPRECATED=', 'NS3_DEPRECATED_H'])
+    defines.extend(['NS_DEPRECATED_3_35=', 'NS3_DEPRECATED_H'])
     defines.extend(['NS_DEPRECATED_3_34=', 'NS3_DEPRECATED_H'])
-    defines.extend(['NS_DEPRECATED_3_32=', 'NS3_DEPRECATED_H'])
-    defines.extend(['NS_DEPRECATED_3_31=', 'NS3_DEPRECATED_H'])
-    defines.extend(['NS_DEPRECATED_3_30=', 'NS3_DEPRECATED_H'])
     if Utils.unversioned_sys_platform()== 'win32':
         try:
             defines.remove('_DEBUG') # causes undefined symbols on win32
         except ValueError:
             pass
     pymod.env['DEFINES'] = defines
-    # The following string should lead to includes of 
+    # The following string should lead to includes of
     # '-I.', '-Isrc/core/bindings' when compiling module_helpers.cc
     pymod.includes = Context.out_dir + ' ' + Context.out_dir + '/src/core/bindings'
     pymod.install_path = '${PYTHONARCHDIR}/ns'
@@ -442,7 +439,10 @@
     if self.module is None:
         raise WafError("'module' missing on ns3headers object %s" % self)
     ns3_dir_node = self.bld.path.find_or_declare("ns3")
-    for filename in set(self.to_list(self.source)):
+    headers_to_process = set(self.to_list(self.source))
+    if hasattr(self, 'deprecated'):
+        headers_to_process.update(set(self.to_list(self.deprecated)))
+    for filename in headers_to_process:
         src_node = self.path.find_resource(filename)
         if src_node is None:
             raise WafError("source ns3 header file %s not found" % (filename,))
@@ -458,6 +458,9 @@
             task.header_to_remove = dst_node
     self.headers = set(self.to_list(self.source))
     self.source = '' # tell WAF not to process these files further
+    if hasattr(self, 'deprecated'):
+        self.deprecated = '' # tell WAF not to process these files further
+
 
 
 class ns3header(Task.Task):
@@ -620,7 +623,6 @@
                     raise
             return 0
 
-
 class gen_ns3_module_header(Task.Task):
     before = ['cxxprogram', 'cxxshlib', 'cxxstlib']
     after = 'ns3header'
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.34/utils/check-style.py ns-3.35/utils/check-style.py
--- ns-3.34/utils/check-style.py	2021-07-14 10:31:07.000000000 -0700
+++ ns-3.35/utils/check-style.py	2021-10-01 13:26:48.000000000 -0700
@@ -15,7 +15,7 @@
     process = subprocess.Popen(["git","rev-parse","--show-toplevel"],
                                stdout = subprocess.PIPE,
                                stderr = subprocess.PIPE)
-    (root_dir, error) = process.communicate()
+    root_dir, _ = process.communicate()
     if isinstance(root_dir, bytes):
         root_dir=root_dir.decode("utf-8")
     files_changed = [item.strip() for item in files.readlines()]
@@ -23,7 +23,7 @@
     return [root_dir[: -1] + "/" + filename.strip () for filename in files_changed]
 
 def copy_file(filename):
-    [tmp,pathname] = tempfile.mkstemp()
+    _, pathname = tempfile.mkstemp()
     with open(filename, 'r') as src, open(pathname, 'w') as dst:
         for line in src:
             dst.write(line)
@@ -132,7 +132,7 @@
 disable_processing_cmt= " *NS_CHECK_STYLE_OFF*"
 enable_processing_cmt=  " *NS_CHECK_STYLE_ON*"
 """
-    [tmp,pathname] = tempfile.mkstemp()
+    _, pathname = tempfile.mkstemp()
     with open(pathname, 'w') as dst:
         dst.write(level0)
         if level >= 1:
@@ -537,9 +537,8 @@
                       help="Generate a diff on stdout of the indented files")
     parser.add_option('-i', '--in-place', action='store_true', dest='in_place', default=False,
                       help="Indent the input files in-place")
-    (options,args) = parser.parse_args()
-    debug = options.debug
-    style_is_correct = False;
+    options, _ = parser.parse_args()
+    style_is_correct = False
 
     if options.git:
         files = git_modified_files()
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.34/VERSION ns-3.35/VERSION
--- ns-3.34/VERSION	2021-07-14 10:32:18.000000000 -0700
+++ ns-3.35/VERSION	2021-10-01 13:27:51.000000000 -0700
@@ -1 +1 @@
-3.34
+3.35
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.34/wscript ns-3.35/wscript
--- ns-3.34/wscript	2021-07-14 10:31:07.000000000 -0700
+++ ns-3.35/wscript	2021-10-01 13:26:48.000000000 -0700
@@ -32,8 +32,8 @@
 examples_enabled = False
 tests_enabled    = False
 
-# GCC minimum version requirements for C++11 support
-gcc_min_version = (4, 9, 2)
+# GCC minimum version requirements for C++17 support
+gcc_min_version = (7, 0, 0)
 
 # Bug 2181:  clang warnings about unused local typedefs and potentially
 # evaluated expressions affecting darwin clang/LLVM version 7.0.0 (Xcode 7)
@@ -735,7 +735,7 @@
         cxx_standard = Options.options.cxx_standard
         # No need to change CXXFLAGS
     elif not cxx_standard and not Options.options.cxx_standard:
-        cxx_standard = "-std=c++11"
+        cxx_standard = "-std=c++17"
         env.append_value('CXXFLAGS', cxx_standard)
 
     if not conf.check_compilation_flag(cxx_standard):
